<?php
/**
 * Plugin Name: WikioVote-Button
 * Plugin URI: http://blog.ppfeufer.de/wordpress-wikiovote-button-plugin/
 * Description: This plugin will install a Wikio-Button, to vote for your posts on wikio.de. Based on the wikioVote-Script (by Wikio), edited by H.-Peter Pfeufer. Vote for articles on the wikio site.
 * Version: 1.4.1
 * Author: H.-Peter Pfeufer
 * Author URI: http://ppfeufer.de
 */

/**
 * Changelog:
 * 		= 1.4.1 (08.01.2011) =
 * 		Update: JavaScript
 *
 * 		= 1.4.0 (07.01.2011) =
 * 		Add: German translation
 *
 * 		= 1.3.4 =
 * 		Fixed behaviour in Opera and Webkitbrowsers
 *
 * 		= 1.3.3 =
 * 		Fixed shortcode
 *
 * 		= 1.3.2 =
 * 		Fixed a little Javascript-Error
 *
 * 		= 1.3.1 =
 * 		Headlinetext in Setting corrected
 *
 * 		= 1.3.0 =
 * 		Adding administrative Site to Dashboard
 * 		Upload to Wordpress-Plugindirectory
 *
 * 		= 1.2.0 =
 * 		Both Wikio-Buttons now available (Long-Version and Big-Version)
 *
 * 		= 1.1.0 =
 *		HTML-Code corrected
 *		IDs are now unique
 *
 * 		= 1.0.0 =
 * 		Initial Relaese
 */

if(!defined('PPFEUFER_FLATTRSCRIPT')) {
	define('PPFEUFER_FLATTRSCRIPT', 'http://cdn.ppfeufer.de/js/flattr/flattr.js');
}

$wikiovote_button_version = '1.4.1';

/**
 * Button Menü zum Dashboard hinzufügen
 */
function wikiovote_button_options() {
	add_menu_page('Wikio-Button', 'Wikio-Button', 8, basename(__FILE__), 'wikiovote_button_options_page');
	add_submenu_page(basename(__FILE__), __('Settings'), __('Settings'), 8, basename(__FILE__), 'wikiovote_button_options_page');
}

/**
 * Buttons generieren
 */
function wikiovote_button_generate_button() {
	$url = urlencode(get_permalink($post->ID));
	$wikioNote = wikiovote_button_wikinote();

	$wikioId = 0;
	$wikioPattern1 = "";
	$wikioPattern2 = "";
	$wikioPattern3 = "/article=";
	$wikiohasVoted = "";
	$bVoted = 0;
	$wikioAllowVote = 1;

	if($wikioNote) {
		if(ereg("([0-9]*)\|([0-9]*)\|(.*)\|(.*)\|([0-9]*)\|(.*)\|([0-9]*)\|", $wikioNote, $res)) {
			$wikioNote = $res[1];
			$wikioId = $res[2];
			$wikioPattern1 = ($res[5] == 1) ? $res[4] : $res[3];
			$wikioPattern2 = $res[4];
			$wikiohasVoted = ($res[5] == 0 && $res[7] == 1) ? "&amp;vote=1" : "";
			$bVoted = $res[5];
			$wikioSuffix = $res[6];
			$wikioAllowVote = $res[7];
		}
	}

	if (get_option('wikiovote_button_version') == 'vertical') {
		$wikioUrl = "www.wikio." . $wikioSuffix;

		if($wikioId > 0) {
			$wikiobutton = "<script type=\"text/javascript\">
				var wikiovoted=false;
				function setWikio(){";
			if($wikioAllowVote > 0 && $bVoted == 0) {
				$wikiobutton .= "t=top.document;
				if(!wikiovoted){n=t.getElementById('wikioNote1');a=t.getElementById('wikioAction1');
				if(n && !isNaN(parseInt(n.innerHTML)))n.innerHTML=parseInt(n.innerHTML)+1;if(a)a.innerHTML='" . $wikioPattern2 . "';
				}
				wikiovoted=true;";
			}
			$wikiobutton .= "}
				</script>";

			$wikiobutton .= '<div class="wikiobutton1">
					<div class="wikioaction1"><a href="http://' . $wikioUrl . $wikioPattern3 . $wikioId . $wikiohasVoted . '" target="_blank" id="wikioAction1" onclick="setWikio();">' . $wikioPattern1 . '</a></div><a class="wikiokurz" href="http://' . $wikioUrl . $wikioPattern3 . $wikioId . $wikiohasVoted . '" class="wikiolink" target="_blank" onclick="setWikio();"><div class="wikiovote1" align="center" id="wikioNote1">' . $wikioNote . '</div></a>
				</div>';
		}
	} else {
		$wikioUrl = "www.wikio." . $wikioSuffix;
		$images_url = plugins_url(basename(dirname(__FILE__)) . '/img/');

		if($wikioId > 0) {
			$wikiobutton = "<script type=\"text/javascript\">
				var wikiovoted=false;
				function setWikio(id){";

			if($wikioAllowVote > 0 && $bVoted == 0) {
				$wikiobutton .= "var t=top.document;
				if(!wikiovoted){
					var n=t.getElementById('wikionote_:' + id);
					var a=t.getElementById('wikioaction_' + id);
					if(n && !isNaN(parseInt(n.innerHTML))){
						n.innerHTML=parseInt(n.innerHTML)+1
					}
					if(a){
						a.innerHTML='" . $wikioPattern2 . "'
					};
				}
				wikiovoted=true;";
			}

			$wikiobutton .= "}
				</script>";

			$wikiobutton .= '<div class="wikiobutton">
						<div class="wikiotxt wbutton">
							<div class="wikionote"><a id="wikionote_' . $wikioId . '" href="http://' . $wikioUrl . $wikioPattern3 . $wikioId . $wikiohasVoted . '" class="wikioaction" target="_blank" onclick="setWikio(' . $wikioId . ');">' . $wikioNote . '</a></div>
							<div class="wikioaction"><a href="http://' . $wikioUrl . $wikioPattern3 . $wikioId . $wikiohasVoted . '" class="wikioaction" id="wikioaction_' . $wikioId . '" target="_blank" onclick="setWikio(this.id);">' . $wikioPattern1 . '</a></div>
						</div>
					<div class="wikio"><a href="http://' . $wikioUrl . '" target="_blank" class="wikioimg"><img src="' . $images_url . 'wikio.gif" alt="www.wikio.' . $wikioSuffix . '" border="0" width="45" height="15" /></a></div>
				</div>';
		}
	}

	return '<div class="wp_wikio_button_id_' . $wikioId . '" style="' . get_option('wikiovote_button_style') . '">' . $wikiobutton . '</div>';
}

function wikiovote_button_generate_static_button() {
	if(get_post_status($post->ID) == 'publish') {
		$url = urlencode(get_permalink($post->ID));
		$wikioNote = wikiovote_button_wikinote();

		$wikioId = 0;
		$wikioPattern1 = "";
		$wikioPattern2 = "";
		$wikioPattern3 = "/article=";
		$wikiohasVoted = "";
		$bVoted = 0;
		$wikioAllowVote = 1;

		if($wikioNote) {
			if(ereg("([0-9]*)\|([0-9]*)\|(.*)\|(.*)\|([0-9]*)\|(.*)\|([0-9]*)\|", $wikioNote, $res)) {
				$wikioNote = $res[1];
				$wikioId = $res[2];
				$wikioPattern1 = ($res[5] == 1) ? $res[4] : $res[3];
				$wikioPattern2 = $res[4];
				$wikiohasVoted = ($res[5] == 0 && $res[7] == 1) ? "&amp;vote=1" : "";
				$bVoted = $res[5];
				$wikioSuffix = $res[6];
				$wikioAllowVote = $res[7];
			}
		}

		if (get_option('wikiovote_button_version') == 'vertical') {
			$wikioUrl = "www.wikio." . $wikioSuffix;

			if($wikioId > 0) {
				$wikiobutton = "<script type=\"text/javascript\">
					var wikiovoted=false;
					function setWikio(){";
				if($wikioAllowVote > 0 && $bVoted == 0) {
					$wikiobutton .= "t=top.document;
					if(!wikiovoted){n=t.getElementById('wikioNote1');a=t.getElementById('wikioAction1');
					if(n && !isNaN(parseInt(n.innerHTML)))n.innerHTML=parseInt(n.innerHTML)+1;if(a)a.innerHTML='" . $wikioPattern2 . "';
					}
					wikiovoted=true;";
				}
				$wikiobutton .= "}
					</script>";

				$wikiobutton .= '<div class="wikiobutton1">
						<div class="wikioaction1"><a href="http://' . $wikioUrl . $wikioPattern3 . $wikioId . $wikiohasVoted . '" target="_blank" id="wikioAction1" onclick="setWikio();">' . $wikioPattern1 . '</a></div><a class="wikiokurz" href="http://' . $wikioUrl . $wikioPattern3 . $wikioId . $wikiohasVoted . '" class="wikiolink" target="_blank" onclick="setWikio();"><div class="wikiovote1" align="center" id="wikioNote1">' . $wikioNote . '</div></a>
					</div>';
			}
		} else {
			$wikioUrl = "www.wikio." . $wikioSuffix;
			$images_url = plugins_url(basename(dirname(__FILE__)) . '/img/');

			if($wikioId > 0) {
				$wikiobutton = "<script type=\"text/javascript\">
					var wikiovoted=false;
					function setWikio(id){";

				if($wikioAllowVote > 0 && $bVoted == 0) {
					$wikiobutton .= "var t=top.document;
					if(!wikiovoted){
						var n=t.getElementById('wikionote_:' + id);
						var a=t.getElementById('wikioaction_' + id);
						if(n && !isNaN(parseInt(n.innerHTML))){
							n.innerHTML=parseInt(n.innerHTML)+1
						}
						if(a){
							a.innerHTML='" . $wikioPattern2 . "'
						};
					}
					wikiovoted=true;";
				}

				$wikiobutton .= "}
					</script>";

				$wikiobutton .= '<div class="wikiobutton">
							<div class="wikiotxt wbutton">
								<div class="wikionote"><a id="wikionote_' . $wikioId . '" href="http://' . $wikioUrl . $wikioPattern3 . $wikioId . $wikiohasVoted . '" class="wikioaction" target="_blank" onclick="setWikio(' . $wikioId . ');">' . $wikioNote . '</a></div>
								<div class="wikioaction"><a href="http://' . $wikioUrl . $wikioPattern3 . $wikioId . $wikiohasVoted . '" class="wikioaction" id="wikioaction_' . $wikioId . '" target="_blank" onclick="setWikio(this.id);">' . $wikioPattern1 . '</a></div>
							</div>
						<div class="wikio"><a href="http://' . $wikioUrl . '" target="_blank" class="wikioimg"><img src="' . $images_url . 'wikio.gif" alt="www.wikio.' . $wikioSuffix . '" border="0" width="45" height="15" /></a></div>
					</div>';
			}
		}

		return '<div class="wp_wikio_button_id_' . $wikioId . '" style="' . get_option('wikiovote_button_style') . '">' . $wikiobutton . '</div>';;
	} else {
		return;
	}
}

function wikiovote_button_wikinote() {
	global $wikiostyle;
	global $images_url;

	$wikioThisUrl = htmlspecialchars(strip_tags(get_permalink()), ENT_QUOTES);
	$wikioReferer = htmlspecialchars(strip_tags('http://' . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']), ENT_QUOTES);

	if(isset($_SERVER['HTTP_X_FORWARDED_FOR'])) {
		$wikioCliIp = $_SERVER['HTTP_X_FORWARDED_FOR'];
	} elseif(isset($_SERVER['HTTP_CLIENT_IP'])) {
		$wikioCliIp = $_SERVER['HTTP_CLIENT_IP'];
	} else {
		$wikioCliIp = $_SERVER['REMOTE_ADDR'];
	}

	$wikioSuffix = "de";
	$wikioUrl = "web.wikio." . $wikioSuffix;
	$wikioSuffix = "";
	$wikioNote = 0;

	$wikioId = 0;
	$wikioPattern1 = "";
	$wikioPattern2 = "";
	$wikioPattern3 = "/article=";
	$wikiohasVoted = "";
	$bVoted = 0;
	$wikioAllowVote = 1;

	$ch = curl_init();
	$timeout = 5; // set to zero for no timeout
	curl_setopt($ch, CURLOPT_URL, "http://" . $wikioUrl . $wikioSuffix . "/getnote?u=" . MD5($wikioThisUrl) . "&i=" . $wikioCliIp . "&referer=" . MD5($wikioReferer));
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, $timeout);
	$wikioNote = curl_exec($ch);
	curl_close($ch);

	return $wikioNote;
}

/**
 * Gets run when the content is loaded in the loop
 */
function wikiovote_button_update($content) {
	global $post;

	/**
	 * Manual Option
	 */
	if(get_option('wikiovote_button_where') == 'manual') {
		return $content;
	}

	/**
	 * Sind wir auf einer CMS-Seite?
	 */
	if(get_option('wikiovote_button_display_page') == null && is_page()) {
		return $content;
	}

	/**
	 * Sind wir auf der Startseite?
	 */
	if(get_option('wikiovote_button_display_front') == null && is_home()) {
		return $content;
	}

	/**
	 * Sind wir in der Achiveanzeige?
	 */
	if(get_option('wikiovote_button_display_archive') == null && is_archive()) {
		return $content;
	}

	/**
	 * Sind wir in der Kategorieanzeige?
	 */
	if(get_option('wikiovote_button_display_category') == null && is_category()) {
		return $content;
	}

	/**
	 * Ist es ein Feed
	 */
	if (is_feed()) {
		$button = wikiovote_button_generate_static_button();
		$where = 'wikiovote_button_rss_where';
	} else {
		$button = wikiovote_button_generate_button();
		$where = 'wikiovote_button_where';
	}

	/**
	 * Soll der Button im Feed ausgeblendet werden?
	 */
	if (is_feed() && get_option('wikiovote_button_display_feed') == null) {
		return $content;
	}

	/**
	 * Wurde der Shortcode genutzt
	 */
	if(get_option($where) == 'shortcode') {
		return str_replace('[wikiobutton]', $button, $content);
	} else {
		/**
		 * Wenn wir den Button abgeschalten haben
		 */
		if(get_post_meta($post->ID, 'wikiovote_button') == null) {
			if(get_option($where) == 'beforeandafter') {
				/**
				 * Vor und nach dem Beitrag einfügen
				 */
				return $button . $content . $button;
			} else if(get_option($where) == 'before') {
				/**
				 * Vor dem Beitrag einfügen
				 */
				return $button . $content;
			} else {
				/**
				 * Nach dem Beitrag einfügen
				 */
				return $content . $button;
			}
		} else {
			/**
			 * Keinen Button einfügen
			 */
			return $content;
		}
	}
}

/**
 * Manuelle Ausgabe
 */
function wikiovote_button() {
	if(get_option('wikiovote_button_where') == 'manual') {
		return wikiovote_button_generate_button();
	} else {
		return false;
	}
}

/**
 * Filter durch Vorschau entfernen
 * @param string $content
 */
function wikiovote_button_remove_filter($content) {
	if(!is_feed()) {
		remove_action('the_content', 'wikiovote_button_update');
	}
	return $content;
}

/**
 * Meta-Tag 'wikiovote_button-title' setzen.
 */
function wikiovote_button_head() {
	global $wikiovote_button_version;
	/**
	 * Sind wir in einem Artikel?
	 */
	if(is_single()) {
		global $post;
		$title = get_the_title($post->ID);
		echo '<!-- WikioVote-Button by H.-Peter Pfeufer -->' . "\n" . '<meta name="wikiovote_button-title" content="' . strip_tags($title) . '" />' . "\n";
	}

	if(!is_admin()) {
		define('WIKIOVOTE_VERSION', $wikiovote_button_version);

		$images_url = plugins_url(basename(dirname(__FILE__)) . '/img/');
		$css_url = plugins_url(basename(dirname(__FILE__)) . '/css/wikiovote-button.css?ver=' . WIKIOVOTE_VERSION);

		/**
		 * CSS in Wordpress einbinden
		 */
		echo '<link rel="stylesheet" id="wikiovotebutton-for-wordpress"  href="' . $css_url . '" type="text/css" media="all" />' . "\n";
	}
}

/**
 * Optionsseite generieren
 */
function wikiovote_button_options_page() {
	/**
	 * JavaScript für den Flattr-Button einfügen
	 */
	?>
	<div class="wrap">
		<div class="icon32" id="icon-options-general"><br /></div>
		<h2><?php _e('Settings for WikioVote-Button', 'wikiovote_button'); ?></h2>
		<p><?php _e('This plugin will install the WikioVote-Button for each of your blog posts.', 'wikiovote_button'); ?></p>
		<form method="post" action="options.php">
			<?php
			// New way of setting the fields, for WP 2.7 and newer
			if(function_exists('settings_fields')) {
				settings_fields('wikiovote_button-options');
			} else {
				wp_nonce_field('update-options');
				?>
				<input type="hidden" name="action" value="update" />
				<input type="hidden" name="page_options" value="wikiovote_button_where,wikiovote_button_style,wikiovote_button_version,wikiovote_button_display_page,wikiovote_button_display_front,wikiovote_button_display_feed,wikiovote_button_source,wikiovote_button_space,wikiovote_button_hashtags,wikiovote_button_hashtags_tags" />
				<?php
			}
			?>
			<table class="form-table">
				<tr>
					<th scope="row" valign="top"><?php _e('Display', 'wikiovote_button'); ?></th>
					<td>
						<div style="float:right; text-align:center; width:120px;">
							<?php _e('Support me if you like the Plugin', 'wikiovote_button'); ?><br />
							<a class="FlattrButton" style="display:none;" href="http://blog.ppfeufer.de/wordpress-wikiovote-button-plugin/"></a>
						</div>
						<div>
							<input type="checkbox" value="1" <?php if(get_option('wikiovote_button_display_page') == '1') echo 'checked="checked"'; ?> name="wikiovote_button_display_page" id="wikiovote_button_display_page" group="wikiovote_button_display" />
							<label for="wikiovote_button_display_page"><?php _e('Display the button on pages', 'wikiovote_button'); ?></label>
						</div>
						<div>
							<input type="checkbox" value="1" <?php if(get_option('wikiovote_button_display_front') == '1') echo 'checked="checked"'; ?> name="wikiovote_button_display_front" id="wikiovote_button_display_front" group="wikiovote_button_display" />
							<label for="wikiovote_button_display_front"><?php _e('Display the button on front page (home)', 'wikiovote_button'); ?></label>
						</div>
						<div>
							<input type="checkbox" value="1" <?php if(get_option('wikiovote_button_display_archive') == '1') echo 'checked="checked"'; ?> name="wikiovote_button_display_archive" id="wikiovote_button_display_archive" group="wikiovote_button_display" />
							<label for="wikiovote_button_display_archive"><?php _e('Display the button on archive-view <em>(<strong>Note</strong>: not all themes support this option)</em>', 'wikiovote_button'); ?></label>
						</div>
						<div>
							<input type="checkbox" value="1" <?php if(get_option('wikiovote_button_display_category') == '1') echo 'checked="checked"'; ?> name="wikiovote_button_display_category" id="wikiovote_button_display_category" group="wikiovote_button_display" />
							<label for="wikiovote_button_display_category"><?php _e('Display the button on category-view <em>(<strong>Note</strong>: not all themes support this option)</em>', 'wikiovote_button'); ?></label>
						</div>
						<div>
							<input type="checkbox" value="1" <?php if(get_option('wikiovote_button_display_feed') == '1') echo 'checked="checked"'; ?> name="wikiovote_button_display_feed" id="wikiovote_button_display_feed" group="wikiovote_button_display" />
							<label for="wikiovote_button_display_feed"><?php _e('Display the button on rss-feed', 'wikiovote_button'); ?></label>
						</div>
					</td>
				</tr>
				<tr>
					<th scope="row" valign="top"><?php _e('Position', 'wikiovote_button'); ?></th>
					<td>
						<select name="wikiovote_button_where">
							<option <?php if(get_option('wikiovote_button_where') == 'before') echo 'selected="selected"'; ?> value="before"><?php _e('Before', 'wikiovote_button'); ?></option>
							<option <?php if(get_option('wikiovote_button_where') == 'after') echo 'selected="selected"'; ?> value="after"><?php _e('After', 'wikiovote_button'); ?></option>
							<option <?php if(get_option('wikiovote_button_where') == 'beforeandafter') echo 'selected="selected"'; ?> value="beforeandafter"><?php _e('Before and After', 'wikiovote_button'); ?></option>
							<option <?php if(get_option('wikiovote_button_where') == 'shortcode') echo 'selected="selected"'; ?> value="shortcode"><?php _e('Shortcode [wikiobutton]', 'wikiovote_button'); ?></option>
							<option <?php if(get_option('wikiovote_button_where') == 'manual') echo 'selected="selected"'; ?> value="manual"><?php _e('Manual', 'wikiovote_button'); ?></option>
						</select>
					</td>
				</tr>
				<tr>
					<th scope="row" valign="top"><?php _e('RSS Position', 'wikiovote_button'); ?></th>
					<td>
						<select name="wikiovote_button_rss_where">
							<option <?php if (get_option('wikiovote_button_rss_where') == 'before') echo 'selected="selected"'; ?> value="before"><?php _e('Before', 'wikiovote_button'); ?></option>
							<option <?php if (get_option('wikiovote_button_rss_where') == 'after') echo 'selected="selected"'; ?> value="after"><?php _e('After', 'wikiovote_button'); ?></option>
							<option <?php if (get_option('wikiovote_button_rss_where') == 'beforeandafter') echo 'selected="selected"'; ?> value="beforeandafter"><?php _e('Before and After', 'wikiovote_button'); ?></option>
							<option <?php if (get_option('wikiovote_button_where') == 'shortcode') echo 'selected="selected"'; ?> value="shortcode"><?php _e('Shortcode [wikiobutton]', 'wikiovote_button'); ?></option>
						</select>
					</td>
				</tr>
				<tr>
					<th scope="row" valign="top"><?php _e('Type', 'wikiovote_button'); ?></th>
					<td>
						<div style="float:left; width:32%;">
							<p>
								<input type="radio" value="vertical" <?php if (get_option('wikiovote_button_version') == 'vertical') echo 'checked="checked"'; ?> name="wikiovote_button_version" id="wikiovote_button_version_vertical" group="wikiovote_button_version"/>
								<label for="wikiovote_button_version_large"><?php _e('Long button', 'wikiovote_button'); ?></label>
							</p>
							<p><img src="<?php echo plugins_url(basename(dirname(__FILE__))); ?>/img/vote-large.jpg" /></p>
						</div>
						<div style="float:left; width:32%;">
							<p>
								<input type="radio" value="horizontal" <?php if (get_option('wikiovote_button_version') == 'horizontal') echo 'checked="checked"'; ?> name="wikiovote_button_version" id="wikiovote_button_version_horizontal" group="wikiovote_button_version" />
								<label for="wikiovote_button_version_compact"><?php _e('Big button', 'wikiovote_button'); ?></label>
							</p>
							<p><img src="<?php echo plugins_url(basename(dirname(__FILE__))); ?>/img/vote-tall.jpg" /></p>
						</div>
					</td>
				</tr>
				<tr>
					<th scope="row" valign="top"><label for="wikiovote_button_style"><?php _e('Styling', 'wikiovote_button'); ?></label></th>
					<td>
						<input type="text" value="<?php echo htmlspecialchars(get_option('wikiovote_button_style')); ?>" name="wikiovote_button_style" id="wikiovote_button_style" />
						<span class="description"><?php _e('Add style to the div that surrounds the button E.g. <code>float: left; margin-right: 10px;</code>', 'wikiovote_button'); ?></span>
					</td>
				</tr>
			</table>
			<p class="submit"><input type="submit" name="Submit" value="<?php _e('Save Changes', 'wikiovote_button'); ?>" /></p>
		</form>
	</div>
<?php
}

function wikiovote_button_settings_link( $links, $file ) {
 	if( $file == 'wikiovote-button/wikiovote-button.php' && function_exists( "admin_url" ) ) {
		$settings_link = '<a href="' . admin_url( 'admin.php?page=wikiovote-button.php' ) . '">' . __('Settings') . '</a>';
		array_unshift( $links, $settings_link ); // before the other links
	}

	return $links;
}

/**
 * Variablen registrieren
 * Plugin initialisieren
 */
function wikiovote_button_init() {
	if(function_exists('register_setting')) {
		register_setting('wikiovote_button-options', 'wikiovote_button_display_page');
		register_setting('wikiovote_button-options', 'wikiovote_button_display_front');
		register_setting('wikiovote_button-options', 'wikiovote_button_display_feed');
		register_setting('wikiovote_button-options', 'wikiovote_button_display_archive');
		register_setting('wikiovote_button-options', 'wikiovote_button_display_category');
		register_setting('wikiovote_button-options', 'wikiovote_button_style');
		register_setting('wikiovote_button-options', 'wikiovote_button_rss_where');
		register_setting('wikiovote_button-options', 'wikiovote_button_where');
		register_setting('wikiovote_button-options', 'wikiovote_button_version');
	}

	/**
	 * Sprachdatei wählen
	 */
	if(function_exists('load_plugin_textdomain')) {
		load_plugin_textdomain('wikiovote_button', false, dirname(plugin_basename( __FILE__ )) . '/l10n/');
	}
}

/**
 * Nur wenn User auch der Admin ist, sind die Adminotionen zu sehen
 */
if(is_admin()) {
	add_action('admin_menu', 'wikiovote_button_options');
	add_action('admin_init', 'wikiovote_button_init');

	/**
	 * JavaScript für Flattr einfügen
	 */
	wp_enqueue_script('flattrscript', PPFEUFER_FLATTRSCRIPT);
}

/**
 * Standardwerte setzen
 */
function wikiovote_button_activate() {
	add_option('wikiovote_button_where', 'before');
	add_option('wikiovote_button_rss_where', 'before');
	add_option('wikiovote_button_style', 'float: right; margin-left: 10px;');
	add_option('wikiovote_button_display_page', '1');
	add_option('wikiovote_button_display_front', '0');
	add_option('wikiovote_button_display_archive', '0');
	add_option('wikiovote_button_display_category', '0');
	add_option('wikiovote_button_display_feed', '0');
	add_option('wikiovote_button_version', 'vertivcal');
}


/**
 * Filter zum Blog hinzufügen
 */
add_filter('the_content', 'wikiovote_button_update', 8);
add_filter('get_the_excerpt', 'wikiovote_button_remove_filter', 9);
add_filter('plugin_action_links', 'wikiovote_button_settings_link', 9, 2 );

/**
 * Header erweitern
 */
add_action('wp_head', 'wikiovote_button_head');

/**
 * Button aktivieren
 */
register_activation_hook(__FILE__, 'wikiovote_button_activate');
?>